Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1189385 - Review Request: nodejs-line-reader - Asynchronous line-by-line file reader
Summary: Review Request: nodejs-line-reader - Asynchronous line-by-line file reader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1231564
TreeView+ depends on / blocked
 
Reported: 2015-02-05 07:47 UTC by anish
Modified: 2015-08-19 08:23 UTC (History)
3 users (show)

Fixed In Version: nodejs-line-reader-0.2.4-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 20:17:35 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description anish 2015-02-05 07:47:38 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-line-reader.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-line-reader-0.2.4-1.fc21.src.rpm
Description: Nodejs line reader is asynchronous line-by-line file reader
Fedora Account System Username:anishpatil

Comment 1 anish 2015-02-26 08:37:59 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-line-reader.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-line-reader-0.2.4-2.fc21.src.rpm
Description: Nodejs line reader is asynchronous line-by-line file reader
Fedora Account System Username:anishpatil

Comment 3 Piotr Popieluch 2015-06-13 21:56:30 UTC
Please move LICENSE from %doc to %license. 
You can omit test/ from %doc, not needed to include the tests as documentation.

looks good for the rest

Comment 4 Piotr Popieluch 2015-06-13 22:11:41 UTC
install section is incorrect:

mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-line-reader
cp -rp package.json lib/ %{buildroot}%{nodejs_sitelib}/nodejs-line-reader

should be

mkdir -p %{buildroot}%{nodejs_sitelib}/line-reader
cp -rp package.json lib/ %{buildroot}%{nodejs_sitelib}/line-reader



Could you also please add:

# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

at the beginning of the file so we can get this in epel6?

Comment 5 Piotr Popieluch 2015-07-04 21:33:22 UTC
Hi Anish,

Could you please fix mentioned issues so I can approve the review?

Comment 6 Piotr Popieluch 2015-07-20 08:21:09 UTC
I need this package as dependency for another pacakge. No response was given from the submitter for more than a month. This review seems stalled. If no response is given within one week I will close this bug and submit a review-request in my name (for which you can co-maintain if you like).

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


PS. tests should be run with "mocha", you should change the test section from:
node test/line_reader.js
to:
moch test/line_reader.js
add:
BR npm(mocha)
and enable tests

Comment 7 anish 2015-07-24 07:17:52 UTC
Hi

Sorry for late response, i have moved recently to different city 
so could not respond on time, i will submit updated review in this weekend

Comment 8 Piotr Popieluch 2015-07-24 08:53:14 UTC
no worries, just need this package myself.

I've updated the spec in the meantime, think this would do:

Spec URL: https://piotrp.fedorapeople.org/nodejs-line-reader.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-line-reader-0.2.4-3.fc22.src.rpm

Comment 9 anish 2015-07-25 10:36:19 UTC
Hi Piotr,

Thank you very much for your help. 

I have tested above spec file and changes looks fine to me 

rpmlint RPMS/noarch/nodejs-line-reader-0.2.4-3.fc22.noarch.rpm
nodejs-line-reader.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 10 Piotr Popieluch 2015-07-25 12:19:35 UTC
Ok, cool. APPROVED.

Please add me as co-maintainer.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1189385-nodejs-line-
     reader/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-line-reader-0.2.4-3.fc24.noarch.rpm
          nodejs-line-reader-0.2.4-3.fc24.src.rpm
nodejs-line-reader.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-line-reader.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-line-reader (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-line-reader:
    nodejs-line-reader
    npm(line-reader)



Source checksums
----------------
http://registry.npmjs.org/line-reader/-/line-reader-0.2.4.tgz :
  CHECKSUM(SHA256) this package     : efb22c7c098e2a5e5c67acd1b39ff1b8375fff9252701d5d6f2affdc40a044f2
  CHECKSUM(SHA256) upstream package : efb22c7c098e2a5e5c67acd1b39ff1b8375fff9252701d5d6f2affdc40a044f2


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1189385
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 anish 2015-07-25 13:44:07 UTC
New Package SCM Request
=======================
Package Name: nodejs-line-reader
Short Description: Asynchronous line-by-line file reader
Upstream URL: https://github.com/nickewing/line-reader
Owners: anishpatil,piotrp
Branches: f21 f22 f23 el6 epel7

Comment 12 Gwyn Ciesla 2015-07-27 19:11:24 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-07-27 23:50:36 UTC
nodejs-line-reader-0.2.4-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-line-reader-0.2.4-3.el7

Comment 14 Fedora Update System 2015-07-27 23:50:42 UTC
nodejs-line-reader-0.2.4-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-line-reader-0.2.4-3.fc22

Comment 15 Fedora Update System 2015-07-27 23:50:48 UTC
nodejs-line-reader-0.2.4-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-line-reader-0.2.4-3.fc21

Comment 16 Fedora Update System 2015-08-02 15:40:47 UTC
nodejs-line-reader-0.2.4-3.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-line-reader-0.2.4-3.el6.1

Comment 17 Fedora Update System 2015-08-07 12:55:58 UTC
nodejs-line-reader-0.2.4-3.fc22 has been pushed to the Fedora 22 stable repository.

Comment 18 Fedora Update System 2015-08-17 19:05:51 UTC
nodejs-line-reader-0.2.4-3.el6.1 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Fedora Update System 2015-08-17 19:08:05 UTC
nodejs-line-reader-0.2.4-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 20 Fedora Update System 2015-08-19 08:23:21 UTC
nodejs-line-reader-0.2.4-3.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.